Users 2 endpoints

POST /users/{user_id}/verify_password

Check that the user’s password matches the supplied input.
Useful for custom auth flows and re-verification.

operationId: Users_verifyPassword

Parameters

Name In Required Type Description
user_id path required string

The ID of the user for whom to verify the password

Request Body

application/json
schema UsersVerifyPasswordRequest
Property Type Required
password string required

Responses

200

The provided password was correct.

400

The user does not have a password set.

404

The user does not exist.

422

The provided password was incorrect.

500

Request was not successful

POST /users/{user_id}/verify_password
POST /users/{user_id}/verify_totp

Verify that the provided TOTP or backup code is valid for the user.
Verifying a backup code will result it in being consumed (i.e. it will
become invalid).
Useful for custom auth flows and re-verification.

operationId: Users_verifyTotp

Parameters

Name In Required Type Description
user_id path required string

The ID of the user for whom to verify the TOTP

Request Body

application/json
schema UsersVerifyTotpRequest
Property Type Required
code string required

Responses

200

The provided TOTP or backup code was correct.

400

The user does not have TOTP configured for their account.

404

The user does not exist.

422

The provided TOTP or backup code was incorrect.

500

Request was not successful

POST /users/{user_id}/verify_totp

Webhooks 3 endpoints

DELETE /webhooks/svix

Delete a Svix app and disassociate it from the current instance

operationId: Webhooks_deleteSvixApp

Responses

204

Svix app was successfully deleted

400

Request was not successful

DELETE /webhooks/svix
POST /webhooks/svix

Create a Svix app and associate it with the current instance

operationId: Webhooks_createSvixApp

Responses

200

Response that contains a temporary Svix URL to access management dashboard

400

Request was not successful

POST /webhooks/svix
POST /webhooks/svix_url

Generate a new url for accessing the Svix’s management dashboard for that particular instance

operationId: Webhooks_generateSvixDashboardUrl

Responses

200

Response that contains a temporary Svix URL to access management dashboard

400

Request was not successful

POST /webhooks/svix_url